#!/usr/bin/env python
# coding: utf-8

# In[16]:


import sympy as sp
x = sp.Symbol('x')


# In[17]:


#Startbedingungen
y = []
y1=1
y2=0
y.append([y1,y2])


# In[18]:


# Berechne die ersten 10 Iterationen:
for i in range(10):
    y1=1+sp.integrate(x*y[-1][0]+y[-1][1],x) # erster Eintrag
    y2=sp.integrate(y[-1][0]-x*y[-1][1],x)   # zweiter Eintrag
    y.append([y1,y2])


# In[22]:


# wie gut erfüllt die letzte Iteration die DGL?
f1=sp.simplify(sp.diff(y1,x)-(x*y1+y2)) #Differenz von y_1' zum ersten Eintrag von F(x,y)
f2=sp.simplify(sp.diff(y2,x)-(y1-x*y2)) #Differenz von y_2' zum zweiten Eintrag von F(x,y)
t=1.0
print('Fehler von y_1(x)-F(x,y)_1 bei x=',t,':',f1.subs(x,t))
print('Fehler von y_2(x)-F(x,y)_2 bei x=',t,':',f2.subs(x,t))


# In[23]:


#Jede Iteration erfüllt automatisch die Anfgangswertbedingung:
print(y1.subs(x,0))
print(y2.subs(x,0))


# In[24]:


# hier erhalten wir die verschiedenen Iterationen:
y[1]


# In[76]:


y[2]


# In[11]:


y[3]


# In[78]:


y


# In[ ]:




